
%global __jar_repack 0

Summary:	RHV-M 3rd party dependencies
Name:		rhvm-dependencies
Version:	4.3.2
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0 and BSD 2-clause
URL:		http://www.ovirt.org
Source:		rhvm-dependencies-4.3.2-1.tar.gz
Group:		Virtualization/Management

BuildArch:	noarch

BuildRequires:	tar
BuildRequires:	unzip
BuildRequires:	curl

Provides: rhevm-dependencies = %{version}
Obsoletes: rhevm-dependencies < %{version}

Provides: bundled(gwt-servlet) = 2.8.0
Provides: bundled(quartz) = 2.1.2
Provides: bundled(snmp4j) = 2.4.1
Provides: bundled(spring-aop) = 5.0.4
Provides: bundled(spring-beans) = 5.0.4
Provides: bundled(spring-context) = 5.0.4
Provides: bundled(spring-core) = 5.0.4
Provides: bundled(spring-expression) = 5.0.4
Provides: bundled(spring-instrument) = 5.0.4
Provides: bundled(spring-jdbc) = 5.0.4
Provides: bundled(spring-test) = 5.0.4
Provides: bundled(spring-tx) = 5.0.4
Provides: bundled(sshd-core) = 2.1.0
Provides: bundled(sshd-common) = 2.1.0
Provides: bundled(postgresql) = 42.2.3


%description
RHV-M 3rd party dependencies

%prep
%setup -q -n %{name}-4.3.2

%build
make OFFLINE=1 %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} OFFLINE=1 install DESTDIR="%{buildroot}" JAVADIR="%{_javadir}"

%files
%license COPYING
%license COPYING.csv
%doc ChangeLog
%{_javadir}/%{name}/

%changelog
* Thu Mar 05 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 4.3.2-1
- +postgresql-42.2.3 - rhbz#1707232

* Thu Jan 24 2019 Martin Perina <mperina@redhat.com> - 4.3.1-1
-  +springframework-5.0.4 - rhbz#1576441
-  -springframework-4.3.9 - rhbz#1576441

* Tue Jan 08 2019  Sandro Bonazzola <sbonazzo@redhat.com> - 4.3.0-1
- -json-smart-1.3.1 - rhbz#1627664
- -nimbus-jose-jwt-4.13.1 - rhbz#1627664
- +sshd-core-2.1.0 - rhbz#144152
- +sshd-common-2.1.0 - rhbz#144152
- -sshd-core-0.12.0 - rhbz#144152

* Tue Nov 28 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.1-1
- +json-smart-1.3.1 - rhbz#1518086
- +nimbus-jose-jwt-4.13.1 - rhbz#1518086

* Tue Nov 14 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.0-1
- Rebranded rhevm-dependencies to rhvm-dependencies
- Dropped 3.6, 4.0 and 4.1 only deps
- -springframework-4.2.4 - rhbz#1460725
- +springframework-4.3.9 - rhbz#1460725
- -gwt-servlet-2.6.1 - rhbz#1431208
- +gwt-servlet-2.8.0 - rhbz#1431208
- -openstack-java-sdk-3.1.2 - rhbz#1443109
- -archaius-0.4.1 - rhbz#1482435
- -hystrix-1.4.14 - rhbz#1482435
- -rxjava-0.4.1 - rhbz#1482435

* Thu Feb 23 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.1.1-1
- -openstack-java-sdk-3.1.1 - rhbz#1425709
- +openstack-java-sdk-3.1.2 - rhbz#1425709

* Wed Jan 18 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.1.0-1
- +archaius-0.4.1 - rhbz#1381608
- +hystrix-1.4.14 - rhbz#1381608
- +rxjava-0.4.1 - rhbz#1381608
- -snmp4j-2.2.3 - rhbz#1390597
- +snmp4j-2.4.1 - rhbz#1390597
- -xmlrpc-client - provided by EL7
- -commons-httpclient - provided by EL7
- -ws-commons-util - provided by EL7


* Wed Jun  1 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0.0-1
- -aopalliance-1.0 - provided by EL7
- -apache-sshd-0.11.0 - rhbz#1341652
- +apache-sshd-0.12.0 - rhbz#1341652
- -c3p0-0.9.2.1 - not used anymore
- -commons-compress-1.5 - provided by EL7
- -commons-configuration-1.9 - provided by EL7
- -commons-jxpath-1.3 - provided by EL7
- -postgresql-jdbc-9.1-903 - provided by EL7
- -spring-ldap-1.3.1.RELEASE - not used anymore
- -xz-java-1.3 - not used anymore
- -springframework-3.1.1 - rhbz#1311740
- +springframework-4.2.4 - rhbz#1311740
- -apache-mina-2.0.4


* Thu Oct 15 2015 Alon Bar-Lev <alonbl@redhat.com> - 3.6.0-1
- -openstack-java-sdk-3.0.6 - rhbz#1201211
- +openstack-java-sdk-3.1.1 - rhbz#1201211
- -gwt-servlet-2.5.1 - rhbz#1208539
- +gwt-servlet-2.6.1 - rhbz#1208539

* Sun Jan 25 2015 Alon Bar-Lev <alonbl@redhat.com> - 3.5.1-1
- -openstack-java-sdk-3.0.5 - rhbz#1177890
- +openstack-java-sdk-3.0.6 - rhbz#1177890

* Mon Dec 1 2014 Alon Bar-Lev <alonbl@redhat.com> - 3.5.0-1
- -apache-sshd-0.7.0 - rhbz#1094123, rhbz#1093882, rhbz#1007133
- +apache-sshd-0.11.0 - rhbz#1094123, rhbz#1093882, rhbz#1007133
- -openstack-java-sdk-3.0.4 - rhbz#988422
- +openstack-java-sdk-3.0.5 - rhbz#988422
- gwt-servlet - acquire from maven central instead of gwt toolkit.
  rhbz#1108364.

* Fri May 2 2014 Alon Bar-Lev <alonbl@redhat.com> - 3.4.0-1
- -openstack-java-sdk-3.0.1 - rhbz#1048880, rhbz#1064749, rhbz#1085402
- +openstack-java-sdk-3.0.4 - rhbz#1048880, rhbz#1064749, rhbz#1085402
- +snmp4j-2.2.3 - rhbz#1032661

* Tue Dec 17 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.5-1
- add repo name at COPYING.csv

* Mon Nov 11 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.4-1
- generate README.csv

* Mon Oct 28 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.3-1
- auto apply license to spec

* Sun Oct 13 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.2-1
- bump openstack-java-sdk to 3.0.1 rhbz#1013643
- add additional missing dependencies

* Mon Sep 30 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.1-1
- Initial add, rhbz#1007799

* Mon Sep 30 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.0-2
- Initial add, rhbz#1007799

* Sun Sep 15 2013 Alon Bar-Lev <alonbl@redhat.com> - 3.3.0-1
- Initial add, rhbz#1007799
